/* Default (light mode) colors */
:root {
  --bg-color: #ffffff; /* White background */
  --text-color: #333333; /* Dark text */
  color-scheme: light dark; /* Enables support for both schemes */
  --green-color: green;
 }


@media (prefers-color-scheme: dark) {
  :root {
    --bg-color: #1a1a1a; /* Dark background */
    --text-color: #dddddd; /* Light text */
    --green-color: rgb(37, 214, 37);
  }
}



body, table {
  font-family: Arial;
  font-size: 1rem;
  padding: 0;
  margin: 0;
  background-color: var(--bg-color);
  color: var(--text-color);
  transition: background-color 0.25s ease, color 0.25s ease; /* Optional: smooth transition */
}
form {
  margin: 0;
}
* {
  box-sizing: border-box;
}

a, a:visited {
  color: light-dark(rgb(13, 101, 255), rgb(41, 158, 255));
  text-decoration: none;
}

.log {
  border: 1px solid light-dark(gray, rgb(82, 82, 82));
  border-radius: 6px;
  padding: 2px 4px;
  color: gray;
  font-size: 0.8rem;
  background-color: light-dark(lightgray, black);
  height: 100px;
  overflow: scroll;
}

td.close {
  text-align: center!important;
}
span.close {
    display: block;
    height: 30px;
    width: 30px;
    line-height: 30px;
    -moz-border-radius: 30px;
    border-radius: 30px;
    border: 1px solid light-dark(lightgray, rgb(113, 113, 113));
    background-color: light-dark(rgb(244, 244, 244), black);
    color: white;
    text-align: center;
    font-size: 1em;
}

div.explanation {
  /* font-family: "Courier New", Courier, monospace; */
}
div.explanation p {
  margin-bottom: 5px;
}
div.explanation div.links {
  margin-left: 50px;
}


table.calendar {
  width: 100%;
  border-collapse: collapse;
}
table.calendar th:first-child {
  width: 30px;
}
table.calendar th, table.calendar td {
  border: 1px solid light-dark(lightgray, rgb(113, 113, 113));
}
table.calendar td.off {
  background-color: light-dark(lightgray, black);
}
table.calendar td {
  height: 100px;
  vertical-align: top;
  padding: 5px;
  width: 1%;
}
table.calendar td:first-child {
  /* width: 20px; */
}
button,
input.button {
  height: 2rem;
  font-size: 1em;
}

button {
  width: 100%;
  height: 33px;
}
input, button {
  font-size: 1.2rem;
}
input.selected {
  font-weight: bold;
}

.month-select {
  display: none;
}
.month-buttons {
  display: table-cell;
}


@media screen and (max-width: 600px) {
  .month-select {
    display: table-cell;
  }
  .month-buttons {
    display: none;
  }
}
